Bug 20593 - Various updates to CSS Animations, Transitions and Transforms specs
Summary: Various updates to CSS Animations, Transitions and Transforms specs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2008-09-01 16:45 PDT by Dean Jackson
Modified: 2008-09-05 15:08 PDT (History)
1 user (show)

See Also:


Attachments
Changes to the specs in CSSVisualEffects (26.83 KB, patch)
2008-09-01 16:48 PDT, Dean Jackson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2008-09-01 16:45:57 PDT
Animations
    
        * Keyframes must provide 0% and 100% to be valid
          <rdar://problem/6165732> [animations] Spec should say what happens if you omit the 0% or 100% keyframe
    
        * Mention that keyframes can be specified in any order
          <rdar://problem/6165728> [animations] Spec should say that keyframes can be in any order
          (It actually already said this, but I made it more clear)
    
        * Keyframe names must be IDENT not STRING
          <rdar://problem/6164640> [animations] should we allow quoted animation names
    
    Transforms
    
        * Removed definition of <angle> - now reference CSS Values and Units
          consequence is that rotations now support "turn" units
          (feel free to turn it up to 11)
          <rdar://problem/6177272> [transforms] Should support "turns" as a rotation unit
    
        * Added exception to CSSMatrix setMatrixValue() and inverse() methods
          <rdar://problem/6160283> [transforms] Specify error reporting for WebKitCSSMatrix
    
        * Added getCSSMatrix() method to CSSTransformValue
    
        * Added Table of Contents to Transforms
    
        * skewZ() transform function removed. It makes no sense.
    
        * Definition for skew() transform function was missing
        * Also added a new CSSTransformValue CSS_SKEW
          <rdar://problem/6137414> [transforms] skew() function definition is missing
    
        * Removed mention of transitions when discussion keyframes rule
          <rdar://problem/6103072> [animations] CSS Animation spec mentions transition keyframes
Comment 1 Dean Jackson 2008-09-01 16:48:45 PDT
Created attachment 23106 [details]
Changes to the specs in CSSVisualEffects

Not sure what the review process should be here, if any. Since it goes on the webkit site it seems important that some external review happens.
Comment 2 Simon Fraser (smfr) 2008-09-02 09:16:55 PDT
The CSSTransformValue operation types are wrong here.
Comment 3 Dean Jackson 2008-09-05 14:57:08 PDT
Comment on attachment 23106 [details]
Changes to the specs in CSSVisualEffects

no need for review - it's all draft anyway.
Comment 4 Dean Jackson 2008-09-05 15:08:52 PDT
Committed r36119
	A	WebKitSite/specs/CSSVisualEffects/ChangeLog
	M	WebKitSite/specs/CSSVisualEffects/CSSTransitions.html
	M	WebKitSite/specs/CSSVisualEffects/CSSTransforms.html
	M	WebKitSite/specs/CSSVisualEffects/CSSAnimation.html